Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface ModelQueryParameter

All Known Implementing Classes:
  ModelQueryParameterImpl

    public interface ModelQueryParameter

A representation of the model object 'Model Query Parameter'. ModelQueryParameter is a class representing the query parameters.

The following features are supported:

- `Name`
- `Type`
- `Upper Bound`
- `Lower Bound`

See Also:
  `QueryPackage.getModelQueryParameter()`

Method Summary
`int` | `getLowerBound()` Returns the value of the 'Lower Bound' attribute.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`EClassifier` | `getType()` Returns the value of the 'Type' reference.
`int` | `getUpperBound()` Returns the value of the 'Upper Bound' attribute.
`void` | `setLowerBound(int value)` Sets the value of the '`Lower Bound`' attribute.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setType(EClassifier value)` Sets the value of the '`Type`' reference.
`void` | `setUpperBound(int value)` Sets the value of the '`Upper Bound`' attribute.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  ModelQueryParameter::name is the parameter name. In each query the parameter names must be unique.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `QueryPackage.getModelQueryParameter_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getType

    EClassifier getType()

  Returns the value of the 'Type' reference.

  If the meaning of the 'Type' reference isn't clear, there really should be more of a description here...

  ModelQueryParameter::type is an ecore::DataType representing the query parameter type.

  Returns:
    the value of the 'Type' reference.
  See Also:
    `setType(EClassifier)`, `QueryPackage.getModelQueryParameter_Type()`

### setType

    void setType(EClassifier value)

  Sets the value of the '`Type`' reference.

  Parameters:
    `value` - the new value of the 'Type' reference.
  See Also:
    `getType()`

### getUpperBound

    int getUpperBound()

  Returns the value of the 'Upper Bound' attribute. The default value is `"1"`.

  If the meaning of the 'Upper Bound' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `setUpperBound(int)`, `QueryPackage.getModelQueryParameter_UpperBound()`

### setUpperBound

    void setUpperBound(int value)

  Sets the value of the '`Upper Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Upper Bound' attribute.
  See Also:
    `getUpperBound()`

### getLowerBound

    int getLowerBound()

  Returns the value of the 'Lower Bound' attribute. The default value is `"0"`.

  If the meaning of the 'Lower Bound' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `setLowerBound(int)`, `QueryPackage.getModelQueryParameter_LowerBound()`

### setLowerBound

    void setLowerBound(int value)

  Sets the value of the '`Lower Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Lower Bound' attribute.
  See Also:
    `getLowerBound()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD